### Hierarchy

- EntityBoneCollection
  - PedBoneCollection

## Index

### Constructors

- constructor

### Properties

- owner

### Accessors

- Core
- LastDamaged

### Methods

- clearLastDamaged
- hasBone

## Constructors

### constructor

- new PedBoneCollection(owner: Ped): PedBoneCollection

- Overrides EntityBoneCollection.constructor

  - Defined in models/PedBoneCollection.ts:4

  #### Parameters

  - ##### owner: Ped

  #### Returns PedBoneCollection

## Properties

### Protected Readonly owner

owner: Entity

Inherited from EntityBoneCollection.owner

- Defined in models/EntityBoneCollection.ts:4

## Accessors

### Core

- get Core(): PedBone

- - Defined in models/PedBoneCollection.ts:8

  #### Returns PedBone

### LastDamaged

- get LastDamaged(): PedBone

- - Defined in models/PedBoneCollection.ts:12

  #### Returns PedBone

## Methods

### clearLastDamaged

- clearLastDamaged(): void

- - Defined in models/PedBoneCollection.ts:17

  #### Returns void

### hasBone

- hasBone(name: string): boolean

- Inherited from EntityBoneCollection.hasBone

  - Defined in models/EntityBoneCollection.ts:13

  #### Parameters

  - ##### name: string

  #### Returns boolean

Generated using TypeDoc